'use strict'

const chalk = require('chalk')
const format = require('util').format
const moment = require('moment')

function logger () {
  console.log.apply(null, arguments)
}

function log (coloring, args) {
  const prefix = '[' + coloring('workflow') + ']'
  const time = chalk.gray(moment().format('HH:mm:ss'))
  const msg = format.apply(null, args)
  logger(prefix, time, msg)
}

logger.info = function () {
  log(chalk.blue, arguments)
}

logger.success = function () {
  log(chalk.green, arguments)
}

logger.warn = function () {
  log(chalk.yellow, arguments)
}

logger.error = function () {
  log(chalk.red, arguments)
}

module.exports = logger
