'use strict'

const logger = require('../util/logger')

module.exports = function (err, stats) {
  if (err) {
    logger.error(err.stack || err)
    if (err.details) {
      logger.error(err.details)
    }
    return
  }

  const info = stats.toJson()

  if (stats.hasErrors()) {
    logger.error('Compilation errors:', info.errors.join('\n'))
  } else if (stats.hasWarnings()) {
    logger.warn('Compilation warnings:', info.warnings.join('\n'))
  } else {
    logger.success('webpack compile success')
    return true
  }
}
